Index: trunk/examples/extended/medical/fanoCavity/History
===================================================================
--- trunk/examples/extended/medical/fanoCavity/History	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.19 2007/11/13 11:31:53 maire Exp $
+$Id: History,v 1.36 2010/06/07 05:40:46 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,58 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+06-06-10 J.Perl (fano-V09-03-03)
+- Remove unused variable in EventAction 
+
+04-06-10 J.Perl (fano-V09-03-02)
+- Updated vis usage 
+    
+22-05-10 mma (fano-V09-03-01)
+- fanoCavity.cc : introduction of G4UIExecutive
+     
+19-01-10 mma (fano-V09-03-00)
+- introduce PhysListEmStandard_option2 : UrbanMscModel93 without options
+            PhysListEmStandard_WVI : WentzelVIModel
+- put in run01.mac all physics lists choice	    
+     
+16-11-09 mma (fano-V09-02-03)
+- PhysListEmStandard_option3 : use UrbanMscModel93
+     
+29-10-09 mma (fano-V09-02-02)
+- new PhysListEmStandard_GS for GoudsmitSaundersonMsc model
+       
+25-10-09 mma (fano-V09-02-01)
+- splite PhysicsList in 2, as others TestEm examples.
+- local copy of PhysListEmStandard_option0, PhysListEmStandard_option3,
+  PhysListEmStandard_SS
+- PhysicsList: add cut for proton recoil in case of Single Scattering
+     
+30-01-09 mma (fano-V09-02-00)
+- EndOfRun : error = ratio*std::sqrt(dEoverE*dEoverE + dToverT*dToverT)
+     
+16-11-08 mma (fano-V09-01-06)
+- Em options: 20bins/decade  LinLossLimit=default=0.01
+     
+01-11-08 mma (fano-V09-01-05)
+- PhysicsList : add comments for Em options
+     
+26-10-08 mma (fano-V09-01-04)
+- PhysicsList : modified Em options
+     
+28-09-08 mma (fano-V09-01-03)
+- HistoManager : root format by default
+
+11-06-08 V.Ivant (fano-V09-01-02)
+- Remove AIDA from GNUmakefile
+     
+07-05-08 mma (fano-V09-01-01)
+- README : update Aida informations     
+     
+11-04-08 mma
+- HistoManager::Scale() : suppress warning
+     
+04-04-08 mma(fano-V09-01-00)
+- PhysicsList : replace G4MultipleScattering by new G4eMultipleScattering
+  --> allows to use MscUrbanModel2
      
 12-11-07 mma (fano-V09-00-08) 
Index: trunk/examples/extended/medical/fanoCavity/README
===================================================================
--- trunk/examples/extended/medical/fanoCavity/README	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/README	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: README,v 1.13 2007/11/13 11:31:54 maire Exp $
+$Id: README,v 1.16 2009/10/25 19:06:26 maire Exp $
 -------------------------------------------------------------------
 
@@ -96,5 +96,5 @@
  4- PHYSICS
  
-    The physics list contains the standard electromagnetic processes, with few 
+    The physics lists contains the standard electromagnetic processes, with few 
     modifications listed here.
     
@@ -108,6 +108,6 @@
     - Bremsstrahlung : Fano conditions imply no energy transfer via
     bremsstrahlung radiation. Therefore this process is not registered in the
-    physics list. However, it is always possible to include it via an UI
-    command. See PhysicsListMessenger class.
+    physics list. However, it is always possible to include it.
+    See PhysListEmStandard class.
     
     - Ionisation : In order to have same stopping power in wall and cavity, one
@@ -154,5 +154,5 @@
    
    It is possible to choose the format of the histogram file (hbook, root, XML)
-   with the command /testem/histo/setFileType (hbook by default)
+   with the command /testem/histo/setFileType (root by default)
    
    It is also possible to print selected histograms on an ascii file:
@@ -182,44 +182,4 @@
 
   To use histograms, at least one of the AIDA implementations should be 
-  available (see http://aida.freehep.org).
+  available. See InstallAida.txt
   
- 8a - PI 
-
-  A package including AIDA and extended interfaces also using Python is PI, 
-  available from: http://cern.ch/pi
-
-  Once installed PI or PI-Lite in a specified local area $MYPY, it is required 
-  to add the installation path to $PATH, i.e. for example, for release 1.2.1 of 
-  PI:
-  setenv PATH ${PATH}:$MYPI/1.2.1/app/releases/PI/PI_1_2_1/rh73_gcc32/bin
-
-  CERN users can use the PATH to the LCG area on AFS.
-  Before running the example the command should be issued:
-  eval `aida-config --runtime csh`
-
- 8b -  OpenScientist
-
-  OpenScientist is available at http://OpenScientist.lal.in2p3.fr.
-
-  You have to "setup" the OpenScientist AIDA implementation before compiling
-  (then with G4ANALYSIS_USE set) and running your Geant4 application.
-
- On UNIX you setup, with a csh flavoured shell : 
-	csh> source <<OpenScientist install path>/aida-setup.csh 
-        or with a sh flavoured shell : 
-	sh> . <<OpenScientist install path>/aida-setup.sh
- On Windows : 
-	DOS> call <<OpenScientist install path>/aida-setup.bat 
-
-  You can use various file formats for writing (AIDA-XML, hbook, root).
-  These formats are readable by the Lab onx interactive program
-  or the OpenPAW application. See the web pages.
-
-
-  With OpenPAW, on a run.hbook file, one can view the histograms
-  with something like :
-	OS> opaw 
-        opaw> h/file 1 run.hbook  ( or opaw> h/file 1 run.aida or run.root)  
-	opaw> zone 2 2 
-	opaw> h/plot 1 
-	opaw> h/plot 2
Index: trunk/examples/extended/medical/fanoCavity/fanoCavity.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/fanoCavity.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/fanoCavity.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: fanoCavity.cc,v 1.6 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: fanoCavity.cc,v 1.7 2010/05/22 21:02:48 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -32,6 +32,4 @@
 #include "G4RunManager.hh"
 #include "G4UImanager.hh"
-#include "G4UIterminal.hh"
-#include "G4UItcsh.hh"
 #include "Randomize.hh"
 
@@ -50,4 +48,8 @@
 #ifdef G4VIS_USE
  #include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
 #endif
 
@@ -104,16 +106,13 @@
 #endif    
      
-     G4UIsession * session = 0;
-#ifdef G4UI_USE_TCSH
-      session = new G4UIterminal(new G4UItcsh);      
-#else
-      session = new G4UIterminal();
-#endif     
-     session->SessionStart();
-     delete session;
-     
+#ifdef G4UI_USE
+      G4UIExecutive * ui = new G4UIExecutive(argc,argv);      
+      ui->SessionStart();
+      delete ui;
+#endif
+          
 #ifdef G4VIS_USE
      delete visManager;
-#endif     
+#endif          
     }
 
Index: trunk/examples/extended/medical/fanoCavity/fanoCavity.in
===================================================================
--- trunk/examples/extended/medical/fanoCavity/fanoCavity.in	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/fanoCavity.in	(revision 1337)
@@ -1,6 +1,8 @@
-# $Id: fanoCavity.in,v 1.5 2007/10/29 12:36:26 maire Exp $
+# $Id: fanoCavity.in,v 1.6 2009/10/25 19:06:26 maire Exp $
 #
 /control/verbose 2
 /run/verbose 2
+#
+/testem/phys/addPhysics standard_opt3
 #
 /run/initialize
Index: trunk/examples/extended/medical/fanoCavity/fanoCavity.out
===================================================================
--- trunk/examples/extended/medical/fanoCavity/fanoCavity.out	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/fanoCavity.out	(revision 1337)
@@ -1,5 +1,9 @@
+
+        ############################################
+        !!! WARNING - FPE detection is activated !!!
+        ############################################
 
 *************************************************************
- Geant4 version Name: global-V09-00-03    (9-May-2008)
+ Geant4 version Name: geant4-09-03-ref-06    (25-June-2010)
                       Copyright : Geant4 Collaboration
                       Reference : NIM A 506 (2003), 250-303
@@ -10,30 +14,33 @@
 ***** Table : Nb of materials = 7 *****
 
- Material:    Water     density:  1.000 g/cm3   RadL:  36.092 cm   Imean:  75.000 eV 
+ Material:    Water     density:  1.000 g/cm3   RadL:  36.092 cm   Nucl.Int.Length:  75.416 cm   Imean:  75.000 eV 
    --->  Element: Hydrogen (H)   Z =  1.0   N =   1.0   A =   1.01 g/mole  ElmMassFraction:  11.21 %  ElmAbundance  66.67 %
    --->  Element: Oxygen (O)   Z =  8.0   N =  16.0   A =  16.00 g/mole  ElmMassFraction:  88.79 %  ElmAbundance  33.33 %
 
- Material: Water_vapor     density:  1.000 mg/cm3  RadL: 360.925 m    Imean:  75.000 eV   temperature: 273.15 K  pressure:   1.00 atm
+ Material: Water_vapor     density:  1.000 mg/cm3  RadL: 360.924 m    Nucl.Int.Length: 754.163 m    Imean:  75.000 eV   temperature: 273.15 K  pressure:   1.00 atm
    --->  Element: Hydrogen (H)   Z =  1.0   N =   1.0   A =   1.01 g/mole  ElmMassFraction:  11.21 %  ElmAbundance  66.67 %
    --->  Element: Oxygen (O)   Z =  8.0   N =  16.0   A =  16.00 g/mole  ElmMassFraction:  88.79 %  ElmAbundance  33.33 %
 
- Material:      Air     density:  1.290 mg/cm3  RadL: 285.161 m    Imean:  85.684 eV   temperature: 273.15 K  pressure:   1.00 atm
+ Material:      Air     density:  1.290 mg/cm3  RadL: 285.161 m    Nucl.Int.Length: 662.680 m    Imean:  85.703 eV   temperature: 273.15 K  pressure:   1.00 atm
    --->  Element: Nitrogen (N)   Z =  7.0   N =  14.0   A =  14.01 g/mole  ElmMassFraction:  70.00 %  ElmAbundance  72.71 %
    --->  Element: Oxygen (O)   Z =  8.0   N =  16.0   A =  16.00 g/mole  ElmMassFraction:  30.00 %  ElmAbundance  27.29 %
 
- Material: Graphite     density:  2.265 g/cm3   RadL:  18.850 cm   Imean:  78.000 eV 
+ Material: Graphite     density:  2.265 g/cm3   RadL:  18.850 cm   Nucl.Int.Length:  35.387 cm   Imean:  81.000 eV 
    --->  Element: Graphite ( )   Z =  6.0   N =  12.0   A =  12.01 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
 
- Material: Graphite_gas     density:  2.265 mg/cm3  RadL: 188.496 m    Imean:  78.000 eV   temperature: 273.15 K  pressure:   1.00 atm
+ Material: Graphite_gas     density:  2.265 mg/cm3  RadL: 188.496 m    Nucl.Int.Length: 353.873 m    Imean:  81.000 eV   temperature: 273.15 K  pressure:   1.00 atm
    --->  Element: Graphite_gas ( )   Z =  6.0   N =  12.0   A =  12.01 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
 
- Material: Aluminium     density:  2.700 g/cm3   RadL:   8.893 cm   Imean: 166.400 eV 
+ Material: Aluminium     density:  2.700 g/cm3   RadL:   8.893 cm   Nucl.Int.Length:  38.879 cm   Imean: 166.000 eV 
    --->  Element: Aluminium ( )   Z = 13.0   N =  27.0   A =  26.98 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
 
- Material: Aluminium_gas     density:  2.700 mg/cm3  RadL:  88.925 m    Imean: 166.400 eV   temperature: 273.15 K  pressure:   1.00 atm
+ Material: Aluminium_gas     density:  2.700 mg/cm3  RadL:  88.925 m    Nucl.Int.Length: 388.793 m    Imean: 166.000 eV   temperature: 273.15 K  pressure:   1.00 atm
    --->  Element: Aluminium_gas ( )   Z = 13.0   N =  27.0   A =  26.98 g/mole  ElmMassFraction: 100.00 %  ElmAbundance 100.00 %
 
 
 /run/verbose 2
+#
+/testem/phys/addPhysics standard_opt3
+PhysicsList::AddPhysicsList: <standard_opt3>
 #
 /run/initialize
@@ -48,4 +55,5 @@
 physicsList->Construct() start.
 physicsList->Construct() start.
+physicsList->CheckParticleList() start.
 physicsList->setCut() start.
 PhysicsList::SetCuts:CutLength : 10 km 
@@ -54,64 +62,60 @@
 #
 /run/beamOn 4000
-G4VRangeToEnergyConverter::ConvertCutToKineticEnergy   for gamma
-The cut in range [1e+07 (mm)]   is too big   for material  idx=0
-The cut in energy is set1.79769e+305GeV 
-G4VRangeToEnergyConverter::ConvertCutToKineticEnergy   for e-
-The cut in range [1e+07 (mm)]   is too big   for material  idx=0
-The cut in energy is set1.79769e+305GeV 
-G4VRangeToEnergyConverter::ConvertCutToKineticEnergy   for e+
-The cut in range [1e+07 (mm)]   is too big   for material  idx=0
-The cut in energy is set1.79769e+305GeV 
-G4VRangeToEnergyConverter::ConvertCutToKineticEnergy   for gamma
-The cut in range [1e+07 (mm)]   is too big   for material  idx=1
-The cut in energy is set1.79769e+305GeV 
-
-compt:  Total cross sections has a good parametrisation from 10 KeV to (100/Z) GeV
-      Sampling according myKlein-Nishina model
-      tables are built for  gamma
-      Lambda tables from 100 eV  to 10 GeV in 800 bins.
-
-phot:  Total cross sections from Sandia parametrisation. 
-      Sampling according PhotoElectric model
-
-conv:  Total cross sections has a good parametrisation from 1.5 MeV to 100 GeV for all Z;
-      sampling secondary e+e- according Bethe-Heitler model
-      tables are built for  gamma
-      Lambda tables from 1.022 MeV to 10 GeV in 800 bins.
-
-msc:  Model variant of multiple scattering for e-
-      Lambda tables from 100 eV  to 10 GeV in 800 bins.
-      LateralDisplacementFlag=  1   Skin= 2
-      Boundary/stepping algorithm is active with RangeFactor= 0.02  Step limit type 2
-
-eIoni:   tables are built for  e-
-      dE/dx and range tables from 100 eV  to 10 GeV in 800 bins.
-      Lambda tables from threshold to 10 GeV in 800 bins.
-      Delta cross sections and sampling from myMollerBhabha model
-      Good description from 1 KeV to 100 GeV.
-      Step function: finalRange(mm)= 0.01, dRoverRange= 0.2, integral: 1, fluct: 1
-      CSDA range table up to 10 GeV in 800 bins.
-
-eIoni:   tables are built for  e+
-      dE/dx and range tables from 100 eV  to 10 GeV in 800 bins.
-      Lambda tables from threshold to 10 GeV in 800 bins.
-      Delta cross sections and sampling from myMollerBhabha model
-      Good description from 1 KeV to 100 GeV.
-      Step function: finalRange(mm)= 0.01, dRoverRange= 0.2, integral: 1, fluct: 1
-      CSDA range table up to 10 GeV in 800 bins.
-
-msc:  Model variant of multiple scattering for proton
-      Lambda tables from 100 eV  to 10 GeV in 800 bins.
-      LateralDisplacementFlag=  1   Skin= 2
-      Boundary/stepping algorithm is active with RangeFactor= 0.02  Step limit type 2
-
-hIoni:   tables are built for  proton
-      dE/dx and range tables from 100 eV  to 10 GeV in 800 bins.
-      Lambda tables from threshold to 10 GeV in 800 bins.
-      Scaling relation is used from proton dE/dx and range.
-      Delta cross sections and sampling from BetheBloch model for scaled energy > 2 MeV
-      Parametrisation from Bragg for protons below. NuclearStopping= 1
-      Step function: finalRange(mm)= 0.01, dRoverRange= 0.2, integral: 1, fluct: 1
-      CSDA range table up to 10 GeV in 800 bins.
+
+phot:   for  gamma    SubType= 12
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+       PhotoElectric :     Emin=          0 eV         Emax=   10 GeV
+
+compt:   for  gamma    SubType= 13
+      Lambda tables from 100 eV  to 10 GeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+     myKlein-Nishina :     Emin=          0 eV         Emax=   10 GeV
+
+conv:   for  gamma    SubType= 14
+      Lambda tables from 1.022 MeV to 10 GeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+       Bethe-Heitler :     Emin=          0 eV         Emax=   10 GeV
+
+msc:   for e-    SubType= 10
+      Lambda tables from 100 eV  to 10 GeV in 160 bins, spline: 1
+      RangeFactor= 0.02, stepLimitType: 2, latDisplacement: 1, skin= 3, geomFactor= 2.5
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc93 :     Emin=          0 eV         Emax=   10 GeV
+
+eIoni:   for  e-    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 GeV in 160 bins
+      Lambda tables from threshold to 10 GeV in 160 bins, spline: 1
+      finalRange(mm)= 0.01, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+      myMollerBhabha :     Emin=          0 eV         Emax=   10 GeV
+      CSDA range table up to 10 GeV in 160 bins
+
+eIoni:   for  e+    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 GeV in 160 bins
+      Lambda tables from threshold to 10 GeV in 160 bins, spline: 1
+      finalRange(mm)= 0.01, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+      myMollerBhabha :     Emin=          0 eV         Emax=   10 GeV
+      CSDA range table up to 10 GeV in 160 bins
+
+annihil:   for  e+    SubType= 5
+      Lambda tables from 100 eV  to 10 GeV in 160 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            eplus2gg :     Emin=          0 eV         Emax=   10 GeV
+
+msc:   for proton    SubType= 10
+      Lambda tables from 100 eV  to 10 GeV in 160 bins, spline: 1
+      RangeFactor= 0.02, stepLimitType: 2, latDisplacement: 1, skin= 3, geomFactor= 2.5
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc90 :     Emin=          0 eV         Emax=   10 GeV
+
+hIoni:   for  proton    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 GeV in 160 bins
+      Lambda tables from threshold to 10 GeV in 160 bins, spline: 1
+      finalRange(mm)= 0.01, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               Bragg :     Emin=          0 eV         Emax=   2 MeV
+          BetheBloch :     Emin=          2 MeV        Emax=   10 GeV
+      CSDA range table up to 10 GeV in 160 bins
 
 Region <DefaultRegionForTheWorld> -- appears in <Wall> world volume
@@ -119,5 +123,5 @@
  Pointers : G4VUserRegionInformation[0], G4UserLimits[0], G4FastSimulationManager[0], G4UserSteppingAction[0]
  Materials : Water Water_vapor 
- Production cuts :  gamma 10 km     e- 10 km     e+ 10 km 
+ Production cuts :   gamma 10 km      e- 10 km      e+ 10 km  proton 10 km 
 
 ========= Table of registered couples ==============================
@@ -125,6 +129,6 @@
 Index : 0     used in the geometry : Yes     recalculation needed : No 
  Material : Water
- Range cuts        :  gamma 10 km     e- 10 km     e+ 10 km 
- Energy thresholds :  gamma 2.88022e+295 J      e- 2.88022e+295 J      e+ 2.88022e+295 J  
+ Range cuts        :  gamma  10 km     e-  10 km     e+  10 km  proton 10 km 
+ Energy thresholds :  gamma  10 GeV    e-  10 GeV    e+  10 GeV proton 1 TeV
  Region(s) which use this couple : 
     DefaultRegionForTheWorld
@@ -132,6 +136,6 @@
 Index : 1     used in the geometry : Yes     recalculation needed : No 
  Material : Water_vapor
- Range cuts        :  gamma 10 km     e- 10 km     e+ 10 km 
- Energy thresholds :  gamma 2.88022e+295 J      e- 18.4792 GeV    e+ 17.5913 GeV
+ Range cuts        :  gamma  10 km     e-  10 km     e+  10 km  proton 10 km 
+ Energy thresholds :  gamma  10 GeV    e-  10 GeV    e+  10 GeV proton 1 TeV
  Region(s) which use this couple : 
     DefaultRegionForTheWorld
@@ -152,13 +156,13 @@
 Start Run processing.
 
- ---> NbofEvents= 1000   NbOfelectr= 70497   Tkin= 590.556 keV (0.000 %)   NbOfelec in cav= 4840   Dose/EnFluence= 29.303 cm2/g (0.000 %)
-
- ---> NbofEvents= 2000   NbOfelectr= 140946   Tkin= 589.455 keV (-0.186 %)   NbOfelec in cav= 9491   Dose/EnFluence= 27.877 cm2/g (-4.868 %)
-
- ---> NbofEvents= 3000   NbOfelectr= 212082   Tkin= 589.024 keV (-0.073 %)   NbOfelec in cav= 14452   Dose/EnFluence= 28.465 cm2/g (2.109 %)
+ ---> NbofEvents= 1000   NbOfelectr= 70538   Tkin= 590.669 keV (0.000 %)   NbOfelec in cav= 4726   Dose/EnFluence= 30.091 cm2/g (0.000 %)
+
+ ---> NbofEvents= 2000   NbOfelectr= 141090   Tkin= 589.502 keV (-0.198 %)   NbOfelec in cav= 9358   Dose/EnFluence= 28.953 cm2/g (-3.782 %)
+
+ ---> NbofEvents= 3000   NbOfelectr= 211481   Tkin= 589.178 keV (-0.055 %)   NbOfelec in cav= 14156   Dose/EnFluence= 28.931 cm2/g (-0.076 %)
 Run terminated.
 Run Summary
   Number of events processed : 4000
-  User=45.49s Real=45.58s Sys=0.01s
+  User=32.81s Real=48.36s Sys=0s
 
  ======================== run summary ======================
@@ -170,30 +174,30 @@
  ============================================================
 
- Process calls frequency --->  compt= 282830  Transportation= 78247  msc= 1357160  eIoni= 1879015
+ Process calls frequency --->  compt= 282107  Transportation= 77642  msc= 2087713  eIoni= 1755986
 
  Gamma crossSections in wall material :  compt= 63.447 cm2/g   --> total= 63.447 cm2/g
 
- Mean energy of secondary e- = 589.0917 keV +- 0.1026 %  (--> range in wall material = 2.2155 mm )
- Mass_energy_transfer coef: 29.9009 cm2/g
-
- StoppingPower in wall   = 1.9719 MeV*cm2/g
-               in cavity = 1.9719 MeV*cm2/g
+ Mean energy of secondary e- = 588.9126 keV +- 0.1029 %  (--> range in wall material = 2.2146 mm )
+ Mass_energy_transfer coef: 29.8918 cm2/g
+
+ StoppingPower in wall   = 1.9720 MeV*cm2/g
+               in cavity = 1.9720 MeV*cm2/g
 
  Charged particle flow in cavity :
-      Enter --> nbParticles = 19159	 Energy = 9.6732 GeV
-      Exit  --> nbParticles = 19159	 Energy = 9.6744 GeV
-
- Total edep in cavity = 12.6517 MeV +- 2.0796 %	 Total charged trackLength = 53.2115 m     (mean value = 2.7774 mm )
- Total dose in cavity = 20.1358 MeV/mg
- Dose/EnergyFluence   = 28.4663 cm2/g
-
- (Dose/EnergyFluence)/Mass_energy_transfer = 0.95202 +- 0.02078
-
- StepSize of ch. tracks in wall   = 147.0421 um  +- 130.3004 um 	 (nbSteps/track = 11.3711)
- StepSize of ch. tracks in cavity = 585.5850 um  +- 658.6927 um 	 (nbSteps/track = 4.7429)
+      Enter --> nbParticles = 18882	 Energy = 9.5906 GeV
+      Exit  --> nbParticles = 18879	 Energy = 9.5913 GeV
+
+ Total edep in cavity = 13.0468 MeV +- 3.3776 %	 Total charged trackLength = 51.4975 m     (mean value = 2.7273 mm )
+ Total dose in cavity = 20.7646 MeV/mg
+ Dose/EnergyFluence   = 29.3552 cm2/g
+
+ (Dose/EnergyFluence)/Mass_energy_transfer = 0.98205 +- 0.03318
+
+ StepSize of ch. tracks in wall   = 122.8120 um  +- 121.5387 um 	 (nbSteps/track = 13.6004)
+ StepSize of ch. tracks in cavity = 668.5550 um  +- 853.6674 um 	 (nbSteps/track = 4.0794)
 
 --------- Ranecu engine status ---------
  Initial seed (index) = 0
- Current couple of seeds = 1874919070, 2097012381
+ Current couple of seeds = 1335550696, 1317159614
 ----------------------------------------
 UserDetectorConstruction deleted.
@@ -203,5 +207,4 @@
 G4 kernel has come to Quit state.
 EventManager deleted.
-Default detector region deleted.
 UImanager deleted.
 Units table cleared.
@@ -209,2 +212,3 @@
 RunManagerKernel is deleted.
 RunManager is deleting.
+
Index: trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.2 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.2 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/EventAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/EventAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/EventAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.4 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.2 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyKleinNishinaCompton.hh,v 1.4 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.4 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ProcessesCount.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/RunAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/RunAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/RunAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.3 2007/10/29 12:36:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.hh,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.hh,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StepMax.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StepMax.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/StepMax.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.3 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/run01.mac
===================================================================
--- trunk/examples/extended/medical/fanoCavity/run01.mac	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/run01.mac	(revision 1337)
@@ -1,8 +1,13 @@
-# $Id: run01.mac,v 1.7 2009/10/25 19:06:26 maire Exp $
+# $Id: run01.mac,v 1.8 2010/01/19 17:28:20 maire Exp $
 #
 /control/verbose 2
 /run/verbose 2
 #
+###/testem/phys/addPhysics  standard_opt0
+###/testem/phys/addPhysics  standard_opt2
 /testem/phys/addPhysics  standard_opt3
+###/testem/phys/addPhysics  standard_GS
+###/testem/phys/addPhysics  standard_WVI
+###/testem/phys/addPhysics  standard_SS
 #
 /run/initialize
Index: trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.3 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 
 //
Index: trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.3 2007/11/05 13:44:18 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/EventAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/EventAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/EventAction.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: EventAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: EventAction.cc,v 1.6 2010/06/07 05:40:46 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -37,7 +37,4 @@
 
 #include "G4Event.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -69,21 +66,6 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-void EventAction::EndOfEventAction(const G4Event* evt)
+void EventAction::EndOfEventAction(const G4Event*)
 {   
-  //trajectories
-  //
-  if (G4VVisManager::GetConcreteInstance())
-  {
-   G4TrajectoryContainer* trajectoryContainer = evt->GetTrajectoryContainer();
-   G4int n_trajectories = 0;
-   if (trajectoryContainer) n_trajectories = trajectoryContainer->entries();  
-   for(G4int i=0; i<n_trajectories; i++) 
-      { G4Trajectory* trj = (G4Trajectory*)
-                                       ((*(evt->GetTrajectoryContainer()))[i]);
-        if (drawFlag == "all") trj->DrawTrajectory(1000);
-        else if ((drawFlag == "charged")&&(trj->GetCharge() != 0.))
-                               trj->DrawTrajectory(); 
-      }
-  }
 }
 
Index: trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.cc,v 1.7 2008/09/28 16:04:01 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.cc,v 1.2 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyKleinNishinaCompton.cc,v 1.6 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.18 2009/10/29 16:19:59 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: PhysicsList.cc,v 1.19 2010/01/19 17:28:20 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -34,6 +34,8 @@
 
 #include "PhysListEmStandard_option0.hh"
+#include "PhysListEmStandard_option2.hh"
 #include "PhysListEmStandard_option3.hh"
 #include "PhysListEmStandard_GS.hh"
+#include "PhysListEmStandard_WVI.hh"
 #include "PhysListEmStandard_SS.hh"
 
@@ -149,4 +151,10 @@
     emPhysicsList = new PhysListEmStandard_option0(name,detector);
     
+  } else if (name == "standard_opt2") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_option2(name,detector);
+        
   } else if (name == "standard_opt3") {
 
@@ -161,4 +169,10 @@
     emPhysicsList = new PhysListEmStandard_GS(name,detector);    
     
+  } else if (name == "standard_WVI") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_WVI(name,detector);
+           
   } else if (name == "standard_SS") {
 
Index: trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.3 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/RunAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/RunAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/RunAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.cc,v 1.4 2009/01/22 18:34:06 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.cc,v 1.2 2007/03/02 11:08:41 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.cc,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StepMax.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StepMax.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/StepMax.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/vis.mac
===================================================================
--- trunk/examples/extended/medical/fanoCavity/vis.mac	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/vis.mac	(revision 1337)
@@ -10,24 +10,70 @@
 /run/initialize
 #
-# Create empty scene ("world" is default)
-/vis/scene/create
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-# Create a scene handler for a specific graphics system
-# Edit the next line(s) to choose another graphic system
-#
-/vis/open OGLIX
-#
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
 #/vis/open DAWNFILE
 #
-# Draw scene
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
+#
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
+#
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
+#
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 90. 180.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# if too many tracks cause core dump => storeTrajectory 0
-/tracking/storeTrajectory 1
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 1
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
-/testem/event/drawTracks all
-
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
